package com.wissamfawaz;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.ImageIcon;
import javax.swing.JPanel;
import javax.swing.Timer;

public class BouncingFacePanel extends JPanel {
	private ImageIcon icon;
	private int x, y, deltaX, deltaY;
	private final int WIDTH=300, HEIGHT = 300;
	private final int DELAY = 50, SIZE = 32;
	private Timer timer;
	
	public BouncingFacePanel() {
		x = 10; y = 15;
		deltaX = deltaY = 5;
		icon = new ImageIcon(getClass().getResource("happyFace.gif"));
		timer = new Timer(DELAY, e -> {
			x += deltaX;
			y += deltaY;
			if(x <= 0 || x >= WIDTH-SIZE)
				deltaX *= -1;
			if(y <= 0 || y >= HEIGHT-SIZE)
				deltaY *= -1;
			repaint();
		});
			
		
		
		setPreferredSize(new Dimension(WIDTH, HEIGHT));
		setBackground(Color.BLACK);
		timer.start();
	}
	
	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		icon.paintIcon(this, g, x, y);
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

}
