package com.wissamfawaz;

import java.util.Arrays;
import java.util.stream.Collectors;

public class Main {

	public static void main(String[] args) {
		String[] colors = {"black", "White", "Yellow", "red", "green"};
		
		System.out.printf("Colors in uppercase: %s%n",
				Arrays.stream(colors).map(String::toUpperCase).collect(Collectors.toList()));

		System.out.printf("Colors greater than m sorted: %s%n", 
				Arrays.stream(colors).filter(c -> c.compareToIgnoreCase("m") > 0)
				.sorted(String.CASE_INSENSITIVE_ORDER.reversed()).collect(Collectors.toList()));
	}

}
